petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerFileGetName

Gets the name of the file the PetscViewer uses.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerFileGetName(PetscViewer viewer,const char **name)

Not Collective Many br

### Input Parameter

viewer -the PetscViewer; either ASCII or binary Many br

### Output Parameter

name -the name of the file it is using Many br

Many br

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), PetscViewerFileSetName()

Level:advanced
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages